summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2019-09-25 10:24:45 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2019-09-25 10:25:57 +0200
commitadb6170abf58196d8b83eb07f043dafef2c2945a (patch)
tree10e84f2e0ccf26ce9118955f763f0ab85a5dca12 /tests
parent5b943e56d6bc9ac63418686a2206759b325c9705 (diff)
tests: shell: delete flowtable after flush chain
Returns EBUSY on buggy kernels. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/shell/testcases/flowtable/0009deleteafterflush_09
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/shell/testcases/flowtable/0009deleteafterflush_0 b/tests/shell/testcases/flowtable/0009deleteafterflush_0
new file mode 100755
index 00000000..2cda5639
--- /dev/null
+++ b/tests/shell/testcases/flowtable/0009deleteafterflush_0
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+$NFT add table x
+$NFT add chain x y
+$NFT add flowtable x f { hook ingress priority 0\; devices = { lo }\;}
+$NFT add rule x y flow add @f
+$NFT flush chain x y
+$NFT delete flowtable x f